import React, { useState, useEffect } from "react";
import HomeView from "./HomeView";
import { useLocation } from "react-router-dom";

const HomeContainer = (props) => {
  const location = useLocation();

  const [state, setState] = useState({
    latitude: null,
    longitude: null,
  });

  useEffect(() => {
    getPosition();
  }, []);

  const [user, setUser] = useState({
    name: location.state.fullName,
    code: location.state.code,
  });

  const getPosition = async () => {
    navigator.geolocation.getCurrentPosition((position) => {
      if (position.coords.longitude)
        setState({
          latitude: position.coords.latitude,
          longitude: position.coords.longitude,
        });
    });
  };

  const onCheckIn = () => {
    console.log(state);
  };

  return <HomeView user={user} onCheckIn={onCheckIn} />;
};

export default HomeContainer;
